Subject: bug#10428: 24.0.92; Please remove unnecessary alias `which-func-mode`

From: Daniel Colascione <[email-masked]>
Date: Tue, 03 Jan 2012 15:48:34 -0800

On 1/3/2012 3:42 PM, Juanma Barranquero wrote:
>> Why was this alias defined?  Is there a good reason for it?  This is a
>> bad precedent to set.  Unless there is a _particular_ reason to do this
>> for this command (and not for umpteen other Emacs commands), please
>> remove this seemingly gratuitous alias.
> 
> 2001-06-26  Richard M. Stallman  <[email-masked]>
> 
>         * which-func.el (which-func-maxout): Increase default to 500000.
>         (which-function-mode): This is now the "real" name of the function.
>         (which-func-mode): Now an alias.
>         (which-func-mode-global): Name deleted.
> 
> So the function was called which-func-mode, then renamed to
> which-function-mode, and the old name kept for compatibility.
> 
> It took me all of a grep in lisp\ChangeLog* to find it ;-)

It's still annoying to have which-func-mode show up as an interactive
command.  Is it somehow possible to define an alias to a command that is
not itself a command?